local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local lqt = LibStub:GetLibrary('LibQTip-1.0')
local dataobj = ldb:NewDataObject("Broker_PvPinfo", {
    type = "data source",
    icon = "Interface\\AddOns\\Broker_PvPinfo\\icon",
    text = "Broker_PvPinfo"
    }
)
    
-- -- -- -- -- -- -- -- -- -- -- -- -- --    
--	if GetStatistic(50) == nil or count == '--' then
--		return "0"
--	end	
-- -- -- -- -- -- -- -- -- -- -- -- -- -- 	
		
-- local line_font = CreateFont("LineFont")
-- line_font:CopyFontObject(GameTooltipText)
-- line_font:SetTextColor(1, 1, 1) -- Yellow

-- local header_font = CreateFont("HeaderFont")
-- header_font:CopyFontObject(GameTooltipText)
-- header_font:SetTextColor(0, 1, 0) -- White

-- tooltip:SetFont(line_font)
-- tooltip:SetHeaderFont(header_font)

-- -- -- -- -- -- -- -- -- -- -- -- -- --

--	local count = GetStatistic(50)
--		if count == nil or count == '--' then 
--		return GetStatistic(50) == '0'
--	end
	
function dataobj:OnEnter()
	local tooltip = lqt:Acquire("PvPInfoTT", 4, "CENTER", "CENTER", "CENTER", "CENTER")
    self.tooltip = tooltip
    tooltip:AddLine('|cffFFC125Battleground','|cff71C671Won','|cffff6060Lost','|cff00E5EETotal')
	tooltip:AddLine('Alterac Valley',GetStatistic(49) == '--' and 0 or GetStatistic(49),(GetStatistic(53) == '--' and 0 or GetStatistic(53))-(GetStatistic(49) == '--' and 0 or GetStatistic(49)),GetStatistic(53) == '--' and 0 or GetStatistic(53))
	tooltip:AddLine('Arathi Basin',GetStatistic(51) == '--' and 0 or GetStatistic(51),(GetStatistic(55) == '--' and 0 or GetStatistic(55))-(GetStatistic(51) == '--' and 0 or GetStatistic(51)),GetStatistic(55) == '--' and 0 or GetStatistic(55))
	tooltip:AddLine('Battle for Gilneas',GetStatistic(5237) == '--' and 0 or GetStatistic(5237),(GetStatistic(5236) == '--' and 0 or GetStatistic(5236))-(GetStatistic(5237) == '--' and 0 or GetStatistic(5237)),GetStatistic(5236) == '--' and 0 or GetStatistic(5236))
	tooltip:AddLine('Eye of the Storm',GetStatistic(50) == '--' and 0 or GetStatistic(50),(GetStatistic(54) == '--' and 0 or GetStatistic(54))-(GetStatistic(50) == '--' and 0 or GetStatistic(50)),GetStatistic(54) == '--' and 0 or GetStatistic(54))
	tooltip:AddLine('Isle of Conquest',GetStatistic(4097) == '--' and 0 or GetStatistic(4097),(GetStatistic(4096) == '--' and 0 or GetStatistic(4096))-(GetStatistic(4097) == '--' and 0 or GetStatistic(4097)),GetStatistic(4096) == '--' and 0 or GetStatistic(4096))
	tooltip:AddLine('Silvershard Mines',GetStatistic(7830) == '--' and 0 or GetStatistic(7830),(GetStatistic(7829) == '--' and 0 or GetStatistic(7829))-(GetStatistic(7830) == '--' and 0 or GetStatistic(7830)),GetStatistic(7829) == '--' and 0 or GetStatistic(7829))
	tooltip:AddLine(' Strand of the Ancients ',GetStatistic(1550) == '--' and 0 or GetStatistic(1550),(GetStatistic(1549) == '--' and 0 or GetStatistic(1549))-(GetStatistic(1550) == '--' and 0 or GetStatistic(1550)),GetStatistic(1549) == '--' and 0 or GetStatistic(1549))
	tooltip:AddLine('Temple of Kotmogu',GetStatistic(7826) == '--' and 0 or GetStatistic(7826),(GetStatistic(7825) == '--' and 0 or GetStatistic(7825))-(GetStatistic(7826) == '--' and 0 or GetStatistic(7826)),GetStatistic(7825) == '--' and 0 or GetStatistic(7825))
	tooltip:AddLine('Twin Peaks',GetStatistic(5233) == '--' and 0 or GetStatistic(5233),(GetStatistic(5232) == '--' and 0 or GetStatistic(5232))-(GetStatistic(5233) == '--' and 0 or GetStatistic(5233)),GetStatistic(5232) == '--' and 0 or GetStatistic(5232))
	tooltip:AddLine('Warsong Gulch',GetStatistic(105) == '--' and 0 or GetStatistic(105),(GetStatistic(52) == '--' and 0 or GetStatistic(52))-(GetStatistic(105) == '--' and 0 or GetStatistic(105)),GetStatistic(52) == '--' and 0 or GetStatistic(52))
    tooltip:AddLine(' ')
    tooltip:AddLine('|cffFFC125Overall','|cff71C671Won','|cffff6060Lost','|cff00E5EETotal')
	tooltip:AddLine('Battlegrounds',GetStatistic(840) == '--' and 0 or GetStatistic(840),(GetStatistic(839) == '--' and 0 or GetStatistic(839))-(GetStatistic(840) == '--' and 0 or GetStatistic(840)),GetStatistic(839) == '--' and 0 or GetStatistic(839))
	tooltip:AddLine('Rated battlegrounds',GetStatistic(5694) == '--' and 0 or GetStatistic(5694),(GetStatistic(5692) == '--' and 0 or GetStatistic(5692))-(GetStatistic(5694) == '--' and 0 or GetStatistic(5694)),GetStatistic(5692) == '--' and 0 or GetStatistic(5692))
    tooltip:AddLine(' ')
    tooltip:AddLine('|cffFFC125Arena','|cff71C671Won','|cffff6060Lost','|cff00E5EETotal')
	tooltip:AddLine('World 1v1',GetStatistic(319) == '--' and 0 or GetStatistic(319),GetStatistic(320) == '--' and 0 or GetStatistic(320),(GetStatistic(319) == '--' and 0 or GetStatistic(319))+(GetStatistic(320) == '--' and 0 or GetStatistic(320)))
	tooltip:AddLine('Arena 2v2',GetStatistic(366) == '--' and 0 or GetStatistic(366),(GetStatistic(367) == '--' and 0 or GetStatistic(367))-(GetStatistic(366) == '--' and 0 or GetStatistic(366)),GetStatistic(367) == '--' and 0 or GetStatistic(367))
	tooltip:AddLine('Arena 3v3',GetStatistic(364) == '--' and 0 or GetStatistic(364),(GetStatistic(365) == '--' and 0 or GetStatistic(365))-(GetStatistic(364) == '--' and 0 or GetStatistic(364)),GetStatistic(365) == '--' and 0 or GetStatistic(365))
	tooltip:AddLine('Arena 5v5',GetStatistic(362) == '--' and 0 or GetStatistic(362),(GetStatistic(363) == '--' and 0 or GetStatistic(363))-(GetStatistic(362) == '--' and 0 or GetStatistic(362)),GetStatistic(363) == '--' and 0 or GetStatistic(363))
    tooltip:AddLine(' ')
    tooltip:AddLine('|cffFFC125Miscellaneous','','','|cff00E5EETotal')
	tooltip:AddLine('Player death:','','',GetStatistic(60))
	tooltip:AddLine('Honor Kills:','','',GetStatistic(588))
	tooltip:AddLine('Critter Kills:','','',GetStatistic(108))
	tooltip:AddLine('/violin','','',GetStatistic(1067))
    tooltip:SmartAnchorTo(self)
    tooltip:Show()
end

function dataobj:OnLeave()
    if lqt:IsAcquired("PvPInfoTT") then
        lqt:Release(self.tooltip)
        self.tooltip = nil
    end
end